#
# spec file for package mkfontscale
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mkfontscale
Version:        1.1.2
Release:        lp152.3.5
Summary:        Utility to create index of scalable font files for X
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
Patch0:         u_mkfontscale-fix-handling-of-Type1-fonts-without-FamilyName-and-o.patch
BuildRequires:  pkg-config
BuildRequires:  zlib-devel
BuildRequires:  pkgconfig(fontenc)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto) >= 7.0.25
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
mkfontscale creates the fonts.scale and fonts.dir index files used by the
legacy X11 font system.

%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/mkfontscale
%{_mandir}/man1/mkfontscale.1%{?ext_man}

%changelog
* Tue Mar  3 2015 pgajdos@suse.com
- fix segfault for Hershey fonts [bnc#918466]
- treat /FontName as family name when /FamilyName is missing
  + u_mkfontscale-fix-handling-of-Type1-fonts-without-FamilyName-and-o.patch
* Mon Feb  2 2015 zaitor@opensuse.org
- Update to version 1.1.2:
  + Remove extraneous duplicate checks for -r & -n options.
  + autogen.sh: Honor NOCONFIGURE=1.
  + configure: Drop AM_MAINTAINER_MODE.
  + Only include config.h if it exists.
  + Fix possible malloc allocation error found by clang static
    analysis.
  + Plug a memory leak found by clang static analysis.
  + Print which option was in error along with usage message.
  + Make usage() always exit(1).
  + Add -v flag to print program version.
  + Add missing newline to usage output.
* Sat Aug 17 2013 zaitor@opensuse.org
- Update to version 1.1.1:
  + Protect config.h inclusion like usual.
  + Document -u/-U options in man page.
  + Replace malloc(strlen);strcpy() calls with strdup.
  + Since hash() returns unsigned int, store results in unsigned
    ints.
  + Fix compilation for MinGW.
  + Prefer original file over symlink (v2).
- Drop mkfontscale-skip_symlinks.diff, fixed upstream.
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.1.0:
  + mkfontscale: fix Culmus entries to precede URW
  + Add Culmus foundry to the vendor list for TrueType & Type1
    fonts
  + Add const attributes to fix gcc -Wwrite-strings warnings
  + Mark format string argument to dsprintf as const char *
  + mkfontscale: Support FontForge weight designations.
- Changes from version 1.0.9:
  + Add _X_ATTRIBUTE_PRINTF to functions taking printf format
    arguments
  + makeList: free partially allocated list on failure
  + Leave room for null terminator in file & font name arrays
  + Sort contents of encodings.dir
  + Remove unused NEED_SNPRINTF code to #include non-existent
    snprintf.c
  + Make fscanf format string constant so it can be checked at
    compile time
  + Man page fixes.
  + Build system fixes.
* Fri Apr 13 2012 vuntz@opensuse.org
- Update mkfontscale-skip_symlinks.diff to use realpath() instead
  of the GNU-specific canonicalize_file_name().
* Fri Apr 13 2012 vuntz@opensuse.org
- Split mkfontscale from xorg-x11. Initial version: 1.0.8.
